## Class Apache_Solr_HttpTransport_Response

Description

Represents the required pieces of an HTTP response provided by HTTP transport

implementations and then consumed by the Apache_Solr_Response class which provides decoding

Located in /HttpTransport/Response.php (line 44)

Method Summary
static string getDefaultStatusMessage ( $statusCode)
Apache_Solr_HttpTransport_Response __construct (integer $statusCode, string $contentType, string $responseBody)
string getBody ()
string getEncoding ()
string getMimeType ()
integer getStatusCode ()
string getStatusMessage ()
Methods
static getDefaultStatusMessage (line 112)

Get the HTTP status message based on status code

- access: public

static string getDefaultStatusMessage ( $statusCode)

- $statusCode

Constructor __construct (line 166)

Construct a HTTP transport response

- access: public

Apache_Solr_HttpTransport_Response __construct (integer $statusCode, string $contentType, string $responseBody)

- integer $statusCode: The HTTP status code
- string $contentType: The VALUE of the Content-Type HTTP header
- string $responseBody: The body of the HTTP response

getBody (line 251)

Get the raw response body

- access: public

string getBody ()
getEncoding (line 241)

Get the charset encoding of the response body.

- access: public

string getEncoding ()
getMimeType (line 231)

Get the mimetype of the response body

- access: public

string getMimeType ()
getStatusCode (line 211)

Get the status code of the response

- access: public

integer getStatusCode ()
getStatusMessage (line 221)

Get the status message of the response

- access: public

string getStatusMessage ()

Documentation generated on Wed, 04 May 2011 11:01:16 -0400 by phpDocumentor 1.4.3